Bug 426244 - Serveral Problems with samba 3.0.25b
Serveral Problems with samba 3.0.25b
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Samba Maint Team
:
Depends On: 291501
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-19 10:17 EST by Sebastian Marten
Modified: 2008-05-21 13:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0372
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:26:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sebastian Marten 2007-12-19 10:17:51 EST
samba
Comment 1 Sebastian Marten 2007-12-19 10:35:37 EST
Sorry something went wrong with my first post.

Description of problem:
There serveral problems in samba since the update from EL 5.0 to 5.1
(samba 3.0.23c to 3.0.25b)

Version-Release number of selected component (if applicable):
samba 3.0.25b on EL 5.1 and maybe 4.6

For example:
I want to write a file from a XP Client to a samba share after some idle time, i
get an error that the networt path is not fund.
I try this a second time 2 oder 3 seconds later it wors.

The Second Problem is a problem with the offline files feautre from X.
I go offline, cange a file and go back online.
XP shows an "acces denied" error to the changed file.
-> The sync fails.

How reproducible:
Connect on a XP Client to an samba share and use the offline data funktion.


Steps to Reproduce: (on a XP Client)
1. Creare a file. for example a Open Offce file.
2. Unplug your network  -> Offline Mode
3. Change something in the file.
4. Replug your network
5. Try to sync the changes -> You get the error.

Actual results:
"Acces denied" Error

Expected results:
File sync!

Additional info:

It works with samba 3.0.23c from 5.0 
and 3.0.28 from http://ftp.sernet.de/pub/samba/recent/rhel/5/i386/

With .25 i get this error.

So please upgrade to .26 or higher.
See here: https://bugzilla.redhat.com/show_bug.cgi?id=291501

And according to the samba list, there many problems with .25 on EL 5.1 and 4.6

http://lists.samba.org/archive/samba/2007-December/137064.html
http://lists.samba.org/archive/samba/2007-December/137080.html
http://lists.samba.org/archive/samba/2007-December/137037.html
 
Comment 2 RHEL Product and Program Management 2007-12-19 10:54:54 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Charlie Brady 2008-05-13 15:23:16 EDT
> This request was evaluated by Red Hat Product Management for inclusion in
> a Red Hat Enterprise Linux maintenance release.

It's five months later, and samba on EL 5.1 and 4.6 still doesn't work reliably
with XP or Vista.

Bug 291501 is still "RELEASE PENDING". Is there anything we can test for you?
Comment 7 Simo Sorce 2008-05-13 17:59:18 EDT
5.2 beta packages are available for testing until 5.2 will be out.
Comment 8 errata-xmlrpc 2008-05-21 13:26:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0372.html

Note You need to log in before you can comment on or make changes to this bug.